Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.doc.internal
[Groovy] Class UserGuideNode

    java.lang.Object
      grails.doc.internal.UserGuideNode

    @groovy.transform.ToString(excludes="parent, children")
    class UserGuideNode

Property Summary
`java.util.List` | `children`
`java.lang.String` | `file` The location (including filename) of the node, relatively to the root of the gdoc source directory.
`java.lang.String` | `name` The identifier for this node.
`UserGuideNode` | `parent`
`java.lang.String` | `title` The node title, as displayed in the generated user guide.

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### children

    java.util.List children

### file

    java.lang.String file

  The location (including filename) of the node, relatively to the root of the gdoc source directory. Uses Unix style path separators, i.e. '/'/

### name

    java.lang.String name

  The identifier for this node. It's basically the gdoc filename minus the '.gdoc' suffix. Will be `null` or empty for the root node.

### parent

    UserGuideNode parent

### title

    java.lang.String title

  The node title, as displayed in the generated user guide.

Groovy Documentation